# Method: files.emptyTrash

- [HTTP request](https://developers.google.com/workspace/drive/api/reference/rest/v2/files/emptyTrash#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/files/emptyTrash#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/api/reference/rest/v2/files/emptyTrash#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/api/reference/rest/v2/files/emptyTrash#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/api/reference/rest/v2/files/emptyTrash#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/api/reference/rest/v2/files/emptyTrash#try-it)

Permanently deletes all of the user's trashed files.

### HTTP request

`DELETE https://www.googleapis.com/drive/v2/files/trash`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `enforceSingleParent (deprecated)` | `boolean` Deprecated: If an item is not in a shared drive and its last parent is deleted but the item itself is not, the item is placed under its owner's root. |
| `driveId` | `string` If set, empties the trash of the provided shared drive. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/docs`
- `
  https://www.googleapis.com/auth/drive`

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).